> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Provider Bio

> Generate a professional provider bio.



## OpenAPI

````yaml post /ai/provider/bio
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /ai/provider/bio:
    post:
      tags:
        - provider
        - ai
      summary: Generate Provider Bio
      description: Generate a professional provider bio.
      operationId: generate_provider_bio_ai_provider_bio_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProviderBioRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProviderBioRequest:
      properties:
        modelName:
          type: string
          title: Modelname
          description: Model to use for generation
          default: gemini-2.5-flash
        useStructuredOutput:
          type: boolean
          title: Usestructuredoutput
          description: Whether to request structured JSON output
          default: false
        previousGeneration:
          anyOf:
            - type: string
            - type: 'null'
          title: Previousgeneration
          description: Previous generated text for context
        feedback:
          anyOf:
            - type: string
            - type: 'null'
          title: Feedback
          description: User feedback for regeneration
        firstName:
          type: string
          title: Firstname
          description: Provider's first name
        lastName:
          type: string
          title: Lastname
          description: Provider's last name
        credentials:
          anyOf:
            - type: string
            - type: 'null'
          title: Credentials
          description: Provider's credentials (e.g., MD, DO, PA-C)
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
          description: Provider's phone number
      type: object
      required:
        - firstName
        - lastName
      title: ProviderBioRequest
      description: Request schema for generating a provider bio.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````